summaryrefslogtreecommitdiff
path: root/test/script/run-vint
diff options
context:
space:
mode:
authorcos <cos>2023-06-06 07:55:49 +0200
committercos <cos>2023-06-06 11:34:06 +0200
commit5aa95e208fa49e03d3d298bda7e8c599b8421a9c (patch)
treef7413535a9a51ab8b9a996fffe4a07447bf05830 /test/script/run-vint
parentb3de5d17796f25fefba941f520227910184646da (diff)
downloadale-5aa95e208fa49e03d3d298bda7e8c599b8421a9c.zip
Allow running tests without Docker
Diffstat (limited to 'test/script/run-vint')
-rwxr-xr-xtest/script/run-vint10
1 files changed, 7 insertions, 3 deletions
diff --git a/test/script/run-vint b/test/script/run-vint
index ce42ad41..b3afbee6 100755
--- a/test/script/run-vint
+++ b/test/script/run-vint
@@ -12,9 +12,13 @@ echo '========================================'
echo 'Vint warnings/errors follow:'
echo
-set -o pipefail
-docker run -a stdout "${docker_flags[@]}" vint -s . || exit_code=$?
-set +o pipefail
+if [ "${1:-}" = '--no-docker' ]; then
+ vint -s .
+else
+ set -o pipefail
+ docker run -a stdout "${docker_flags[@]}" vint -s . || exit_code=$?
+ set +o pipefail
+fi
echo
exit $exit_code